import type { MongoDBOIDCLogEventsMap, TypedEventEmitter } from './types';
/** @public */
export interface MongoLogWriter {
    info(c: string, id: unknown, ctx: string, msg: string, attr?: unknown): void;
    warn(c: string, id: unknown, ctx: string, msg: string, attr?: unknown): void;
    error(c: string, id: unknown, ctx: string, msg: string, attr?: unknown): void;
    mongoLogId(this: void, id: number): unknown;
}
/**
 * Connect a log event emitter instance such as the one attached to a
 * `MongoDBOIDCPlugin` instance to a log writer that follows the format
 * provided by the `mongodb-log-writer` npm package.
 *
 * @public
 */
export declare function hookLoggerToMongoLogWriter(emitter: TypedEventEmitter<MongoDBOIDCLogEventsMap>, log: MongoLogWriter, contextPrefix: string): void;
//# sourceMappingURL=log-hook.d.ts.map